package com.pitchbook.eds.excel;


import com.grapecity.documents.excel.SaveFileFormat;
import com.grapecity.documents.excel.Workbook;
import com.grapecity.documents.excel.drawing.ImageType;
import com.grapecity.documents.excel.drawing.Placement;
import org.junit.jupiter.api.Test;

import java.io.IOException;
import java.nio.file.Files;
import java.nio.file.Path;

public class InsertImageTest {

    @Test
    void insertImageToExcel() throws IOException {
        var workbook = new Workbook();
        var worksheet1 = workbook.getWorksheets().get(0);
        worksheet1.setName("test1");
        worksheet1.getRange(0, 0).setRowHeight(20);
        worksheet1.getRange(0, 0).setColumnWidth(34.83);
        worksheet1.getShapes().addPictureInPixel(
            Files.newInputStream(Path.of("logo.svg")),
            ImageType.SVG,
            9,
            9,
            138,
            23
        );

        var worksheet2 = workbook.getWorksheets().add();
        worksheet2.setName("test2");
        worksheet2.getRange(0, 0).setRowHeight(26);
        worksheet2.getRange(0, 0).setColumnWidth(16.67);
        worksheet2.getShapes().addPictureInPixel(
            Files.newInputStream(Path.of("logo.svg")),
            ImageType.SVG,
            9,
            9,
            138,
            23
        );

        if (!Files.exists(Path.of("file.xlsx"))) {
            Files.createFile(Path.of("file.xlsx"));
        }

        workbook.save("file.xlsx", SaveFileFormat.Xlsx);
    }
}
